﻿--[[
	Persistent Data for RaidTracker, Saved Variables

	Aribrary definitions to keep things clear on identifiers:
		Group   - the set of 5 or less members in a party, raid or BG, or any set of members in any type of group
		Party   - group of 5 or less that is not in a raid and is using the Party UI
		Raid    - a set of one or more groups that has formed into a raid and is using the Raid UI
		BG      - a raid that is a pvp raid or party and is using the PvP UI (BattleGroup)

		Rarity - the quality or rarity of an item, quality and rarity are used interchangably
				 rarity is chosen for identifier because using word quality by self could be ambiguous
			[RarityID]  1:poor, 2:common, 3:uncommon, 4:rare, 5:epic, 6:legendary, 7:artifact
]]


Hellbender = AceLibrary("AceAddon-2.0"):new("AceConsole-2.0", "AceEvent-2.0", "AceDB-2.0","AceHook-2.1")

HBKarma = LibKarma:GetInstance( "HellbenderDKP", {

} )
--inst._update.frame:SetScript("OnLoad", function(...) HBKarma:(inst._update.onupdate )

HBKarma:RegisterDB( "HellbenderKDB", {
	Options = {
		DebugMode = 0,                  -- [0|1]  Debug mode for development
		-- Internal flags
		Color = "|c0076dfff",			-- optional text accent color
		ItemIcon = "INV_Misc_Gear_08",	-- default item icon, used if none exists
		ServerTime = 0,					-- servertime offset in seconds
		VersionCopy = 0,                -- [0|1]  Is imported CT_RaidTracker, one time thing very first load only
		VersionFix = 0,	                -- [0...]  Current database version level
	},
} )


function HBKarma:RunVersionFix( frame )
	local db,o = self._store.db,self._options
	local log = db.Log

	if o.VersionCopy == 0 and CT_RaidTracker_RaidLog then
		self:Print("Importing database.")
--		o.VersionCopy = 1
	end
	o.VersionFix = o.VersionFix											-- force database to store the default value

	-- 1 - 27 roll-up
	if o.VersionFix >= 0 and o.VersionFix <= 0 then			self:Debug("VersionFix", 1)
--		o.VersionFix = 1
	end
end
